{
  "crawlerFilters": {
    "PAGE_SIZE": {
      "type": "integer"
    },
    "PROJECT_URL_SUFFIX": {
      "type": "string"
    }
  },
  "additionalFields": {
    "Project": {
      "title": {
        "displayName": "Project"
      },
      "type": "stringNotAnalyzed"
    },
    "Owner": {
      "title": {
        "displayName": "Owner"
      },
      "type": "stringNotAnalyzed"
    },
    "FlowState": {
      "title": {
        "displayName": "FlowState"
      },
      "type": "stringNotAnalyzed"
    },
    "Milestones": {
      "title": {
        "displayName": "Milestones"
      },
      "type": "multiSelect"
    },
    "Subscription": {
      "title": {
        "displayName": "Subscription"
      },
      "type": "stringNotAnalyzed"
    },
    "FormattedID": {
      "title": {
        "displayName": "FormattedID"
      },
      "type": "stringNotAnalyzed"
    },
    "Workspace": {
      "title": {
        "displayName": "Workspace"
      },
      "type": "stringNotAnalyzed"
    },
    "Tags": {
      "title": {
        "displayName": "Tags"
      },
      "type": "multiSelect"
    },
    "SubmittedBy": {
      "title": {
        "displayName": "SubmittedBy"
      },
      "type": "stringNotAnalyzed"
    }
  },
  "externalUrls": {
    "TICKET": {
      "url": "${dataSource.baseUiUrl}#/${entity.urlParts.projectId}${entity.urlParts.projectSuffix}/detail/${entity.urlParts.objectType}/${entity.urlParts.objectId}"
    }
  },
  "entityNames": {
    "FIELDS": {
      "displayName": "CA Agile RallyDev Custom Fields"
    },
    "TICKET": {
      "displayName": "CA Agile RallyDev Object"
    }
  },
  "relations": {
    "issueReference": {
      "type": "pattern",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": false,
        "types": [
          "COMMIT",
          "PULL_REQUEST"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "TICKET"
        ],
        "pluginIds": null
      },
      "relationType": "ticketReference",
      "regexp": "(^|[^A-Za-z0-9])((US|DE|DS|TC|TA)\\d{1,6})($|[^A-Za-z0-9])",
      "windowSize": 32,
      "beforeGroup": 1,
      "afterGroup": -1,
      "meaningfulGroup": 2,
      "regexpIsOn": "FROM",
      "patternFields": [
        "*"
      ],
      "preciseField": "other.relations.objectKey"
    }
  },
  "plugin": {
    "id": "CAAgilePlugin",
    "name": "CA Agile Plugin",
    "version": "1.0.0"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "TICKET",
    "FIELDS"
  ]
}